Bug 12845 - C4::Output::FormatData is unused
Summary: C4::Output::FormatData is unused
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-28 15:03 UTC by Jonathan Druart
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12845: C4::Output::FormatData can be removed (1.05 KB, patch)
2014-08-28 15:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12845: C4::Output::FormatData can be removed (1.43 KB, patch)
2014-09-03 07:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12845: C4::Output::FormatData can be removed (1.12 KB, patch)
2014-09-03 10:33 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12845: C4::Output::FormatData can be removed (1.50 KB, patch)
2014-09-03 10:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 12845: C4::Output::FormatData can be removed (1.58 KB, patch)
2014-09-03 14:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12845: C4::Output::FormatData can be removed (1.55 KB, patch)
2015-01-15 08:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-08-28 15:03:23 UTC
... and can be removed.
Comment 1 Jonathan Druart 2014-08-28 15:04:28 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2014-09-03 03:29:42 UTC
I am still getting one result:

nick@debian:~/koha$ git grep FormatData
C4/Output.pm:        &output_html_with_http_headers &output_ajax_with_http_headers &output_with_http_headers FormatData FormatNumber
Comment 3 Jonathan Druart 2014-09-03 07:23:55 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-09-03 07:24:23 UTC
(In reply to Nick Clemens from comment #2)
> I am still getting one result:

Oops :) Fixed in the last patch.
Comment 5 Nick Clemens 2014-09-03 10:33:33 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2014-09-03 10:37:04 UTC
Sorry, looked at wrong bug for signoff, will retest and sign off asap
Comment 7 Nick Clemens 2014-09-03 10:55:31 UTC Comment hidden (obsolete)
Comment 8 Marcel de Rooy 2014-09-03 14:09:57 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-01-15 08:56:30 UTC
Created attachment 35289 [details] [review]
Bug 12845: C4::Output::FormatData can be removed

Test plan:
  git grep FormatData
should not return any result in pl and pm files.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Tomás Cohen Arazi 2015-01-17 13:44:12 UTC
Patch pushed to master.

Thanks Jonathan!